Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.commons.protocol.v2
Class StatusResponseType

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v2.ResponseType
          be.fgov.ehealth.commons.protocol.v2.StatusResponseType

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ActivateETKResponse, AliveCheckResponse, CompleteETKRegistrationResponse, ConsultCurrentSsinResponseType, DeleteUrgentMedicalAidAttestationResponse, FindAmppResponse, FindAmpResponse, FindAmpResponse, FindCommentedClassificationResponse, FindCommentedClassificationResponse, FindCompanyResponse, FindCompanyResponse, FindCompoundingFormulaResponse, FindCompoundingFormulaResponse, FindCompoundingIngredientResponse, FindCompoundingIngredientResponse, FindLegislationTextResponse, FindLegislationTextResponse, FindNonMedicinalProductResponse, FindReferencesResponse, FindReferencesResponse, FindReimbursementResponse, FindReimbursementResponse, FindVmpGroupResponse, FindVmpGroupResponse, FindVmpResponse, FindVmpResponse, FindVtmResponse, FindVtmResponse, GenerateCertificateResponse, GenerateContractResponse, GenerateRevocationContractResponse, GetActorQualitiesResponse, GetCertificateInfoForAuthenticationCertificateResponse, GetCertificateInfoForCitizenResponse, GetCertificateResponse, GetGenericOrganizationTypesResponse, GetOrganizationContactInfoResponse, GetProfessionalContactInfoResponse, PaginationStatusResponseType, RegisterPersonResponse, RevokeResponse, SearchUrgentMedicalAidAttestationResponse, SendUrgentMedicalAidAttestationResponse, StartETKRegistrationResponse, SubmitCSRForForeignerResponse, VerifyIdResponse

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2019-04-01T01:37:50+02:00",
               comments="JAXB RI v2.2.11")
    public class StatusResponseType

extends ResponseType
implements Serializable

eHealth SOA Response Type for Services that require a Status as output.

Java class for StatusResponseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="StatusResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}ResponseType">
           <sequence>
             <element ref="{urn:be:fgov:ehealth:commons:core:v2}Status"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`StatusResponseType()`

Method Summary
`Status` | `getStatus()` Gets the value of the status property.
`void` | `setStatus(Status value)` Sets the value of the status property.

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType
`getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatusResponseType

    public StatusResponseType()

Method Detail

### getStatus

    public Status getStatus()

  Gets the value of the status property.

  Returns:
    possible object is `Status`

### setStatus

    public void setStatus(Status value)

  Sets the value of the status property.

  Parameters:
    `value` - allowed object is `Status`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSDENTIST 3.17.1 API
Copyright © {inceptionYear}-2019 eHealth. All Rights Reserved.